classification
Title: Use "member" consistently
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: adam.woodbeck, belopolsky, docs@python, eric.araujo, eric.snow, ezio.melotti, fdrake, orsenthil, pitrou, python-dev, rhettinger
Priority: normal Keywords: easy, patch

Created on 2010-11-13 04:37 by fdrake, last changed 2011-07-17 11:11 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
issue10403.patch adam.woodbeck, 2011-06-21 22:21 review
issue10403_v2.patch adam.woodbeck, 2011-06-24 12:19 "methods and attribute" => "attributes" review
issue10403_v3.patch adam.woodbeck, 2011-06-24 13:24 Based on Éric's critique of the initial patch review
Messages (17)
msg121110 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2010-11-13 04:37
Some portions of the documentation are using the term "member" to mean "data attribute".  This appears to be an aberration at this time, but occurrences should be identified and corrected, and "Documenting Python" updated to note correct usage.

Example use:

http://docs.python.org/dev/py3k/library/xmlrpc.client.html#fault-objects

http://docs.python.org/dev/py3k/library/urllib.request.html#basehandler-objects
(paragraph starting "The following members and methods should")

"Members and methods" should just be "attributes".
msg121159 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2010-11-13 23:26
> "Members and methods" should just be "attributes".

+1 

That substitution should be made almost everywhere.

Individual slot variable are still called members though
and their type is a member_descriptor.  And the C API
still has a tp_members entry.  Otherwise, it looks like
the term member is out-of-date.
msg121274 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-11-16 09:06
It is 'attributes' instead of term 'members'. The term 'method' when it denotes methods can be left as such.
msg138806 - (view) Author: Adam Woodbeck (adam.woodbeck) * Date: 2011-06-21 22:21
I grepped the documentation in the cpython repository and replaced all mentions of "member(s)" with "attribute(s)" where I felt appropriate.  I left mentions of "members" related to structs or any C documentation alone as I'm less confident of their terminology (I'm new around here).

I used "methods and attribute" in io.rst because BufferedIOBase included one attribute and several methods.  My terminology may be off, but I felt this was the correct replacement of "members."

Please review the patch and critique it as necessary.
msg138926 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-24 12:08
> I used "methods and attribute" in io.rst because BufferedIOBase
> included one attribute and several methods.  My terminology may be
> off, but I felt this was the correct replacement of "members."

Nearly :)  See in the first message:
> "Members and methods" should just be "attributes".
msg138933 - (view) Author: Adam Woodbeck (adam.woodbeck) * Date: 2011-06-24 12:19
I was always under the impression attributes and methods were mutually exclusive.  I've corrected the patch as requested.
msg139312 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-27 16:28
Alexander, could you comment on the review page about datetime.rst changes?
msg139392 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-06-29 05:04
So I'm -1 on using "attributes" to denote methods. It will actively confuse non-expert users. If you want to ditch "members", please consider using the more explicit phrase "attributes and methods".
msg139393 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-06-29 05:18
Yes, I agree with you. Good Suggestion. Thanks!
msg139425 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-29 15:14
I’m not -1 on using “attributes” to denote methods, since they *are* and it’s not difficult to understand, and I’m not opposed either to using “attributes” to replace “members” (i.e. attributes that are not methods.)

For those wanting to see the raging debate: http://mail.python.org/pipermail/python-dev/2011-June/112020.html

:)
msg139798 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-04 18:44
New changeset d442c313536b by Senthil Kumaran in branch '3.2':
issue10403 - Let's not use members anymore. Use 'attribute' where it denotes attribute and 'methods' where it denotes methods. Context should clarify usage.
http://hg.python.org/cpython/rev/d442c313536b
msg139799 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-04 18:51
New changeset d442c313536b by Senthil Kumaran in branch '3.2':
issue10403 - Let's not use members anymore. Use 'attribute' where it denotes attribute and 'methods' where it denotes methods. Context should clarify usage.
http://hg.python.org/cpython/rev/d442c313536b
msg139801 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-04 19:50
New changeset b8f5da066782 by Senthil Kumaran in branch '2.7':
Fix closes issue10403 - Let's not use members anymore.
http://hg.python.org/cpython/rev/b8f5da066782
msg139979 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-07 15:13
Senthil, I’m not sure you read Alexander’s reply on Rietveld before committing.
msg140336 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-07-14 14:15
Hello Eric, I missed noticing Alexander's comments in the reitveld, I looked only at tracker then. I see that some of them can be addressed. Like using members (components) of the field, instead of attributes when it is not an attribute. Shall correct it. Thanks.
msg140523 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-17 11:06
New changeset 05f0ffe4e0b3 by Senthil Kumaran in branch '3.2':
Fix Issue10403 - datetime documentation clarification based on review in the reitveld by Alexendar belopolsky.
http://hg.python.org/cpython/rev/05f0ffe4e0b3
msg140524 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-17 11:10
New changeset 3935a1fb1db2 by Senthil Kumaran in branch '2.7':
merge from 3.2 - Issue10403  - datetime module documentation changes based on review.
http://hg.python.org/cpython/rev/3935a1fb1db2
History
Date User Action Args
2011-07-17 11:11:10orsenthilsetstatus: open -> closed
2011-07-17 11:10:31python-devsetmessages: + msg140524
2011-07-17 11:06:19python-devsetmessages: + msg140523
2011-07-14 14:15:42orsenthilsetmessages: + msg140336
2011-07-14 13:29:31ezio.melottisetnosy: + ezio.melotti
2011-07-11 15:30:25eric.araujosetstatus: closed -> open
2011-07-09 20:54:27eric.snowsetnosy: + eric.snow
2011-07-07 15:13:20eric.araujosetmessages: + msg139979
2011-07-04 19:50:22python-devsetstatus: open -> closed

resolution: fixed
messages: + msg139801
stage: needs patch -> resolved
2011-07-04 18:51:17python-devsetmessages: + msg139799
2011-07-04 18:44:33python-devsetnosy: + python-dev
messages: + msg139798
2011-06-29 15:14:34eric.araujosetmessages: + msg139425
2011-06-29 05:18:50orsenthilsetmessages: + msg139393
2011-06-29 05:04:07pitrousetnosy: + pitrou
messages: + msg139392
2011-06-27 16:28:37eric.araujosetnosy: + belopolsky
messages: + msg139312
2011-06-24 13:24:02adam.woodbecksetfiles: + issue10403_v3.patch
2011-06-24 12:19:54adam.woodbecksetfiles: + issue10403_v2.patch

messages: + msg138933
2011-06-24 12:08:42eric.araujosetnosy: + eric.araujo
messages: + msg138926
2011-06-21 22:21:45adam.woodbecksetfiles: + issue10403.patch
keywords: + patch
messages: + msg138806
2011-06-21 17:53:05adam.woodbecksetnosy: + adam.woodbeck
2010-11-16 09:07:45orsenthilsetstage: needs patch
type: behavior
versions: + Python 3.1, Python 2.7, Python 3.2
2010-11-16 09:06:48orsenthilsetassignee: docs@python -> orsenthil

messages: + msg121274
nosy: + orsenthil
2010-11-13 23:26:38rhettingersetnosy: + rhettinger
messages: + msg121159
2010-11-13 04:37:52fdrakesetkeywords: + easy
2010-11-13 04:37:20fdrakecreate